Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.enhancer
Class GetterVisitor

    java.lang.Object
      org.objectweb.asm.MethodAdapter
          org.apache.cayenne.enhancer.GetterVisitor

All Implemented Interfaces:
  org.objectweb.asm.MethodVisitor

    public class GetterVisitor

extends org.objectweb.asm.MethodAdapter

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.objectweb.asm.MethodAdapter
`mv`

Constructor Summary
`GetterVisitor(org.objectweb.asm.MethodVisitor mv, EnhancementHelper helper, String propertyName, boolean lazyFaulting)`

Method Summary
`void` | `visitCode()`

Methods inherited from class org.objectweb.asm.MethodAdapter
`visitAnnotation, visitAnnotationDefault, visitAttribute, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetterVisitor

    public GetterVisitor(org.objectweb.asm.MethodVisitor mv,
                         EnhancementHelper helper,
                         String propertyName,
                         boolean lazyFaulting)

Method Detail

### visitCode

    public void visitCode()

  Specified by:
    `visitCode` in interface `org.objectweb.asm.MethodVisitor`
  Overrides:
    `visitCode` in class `org.objectweb.asm.MethodAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.